Function
isPrefix
Test whether a sequence is prefix of another sequence.
isPrefix(left, right)
isPrefix(comparator)
Include Headers
seqan/sequence.h
Parameters

left | The first sequence, the putative prefix.
right | The second sequence.
comparator | A comparator. Types: Lexical

Remarks
By definition, the whole sequence is a prefix of itself too: isPrefix("abc", "abc") == true.
Return Values
true if left is a prefix of right, false otherwise.
Member of
Lexical
See Also
hasPrefix, Comparator
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58